html,
body {
    padding: 0;
    margin: 0;
    font-family: "Inter", -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
    color: white;
    scroll-behavior: smooth;
    font-size: 16px;
}

a {
    color: inherit;
    text-decoration: none;
}

* {
    box-sizing: border-box;
}
*:not(input){
    user-select: none;
}

img {
    user-drag: none;
    -webkit-user-drag: none;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 800;
    letter-spacing: -.06em;
    line-height: .975em;
}

.rcs_body{
    background: #181818;
    overflow-x: hidden;
}
.rcs_login_logos_container{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.rsc_login_logo{
    display: flex;
    justify-content: space-between;
}
.rsc_login_logo > img{
    height: 4rem;
}
.rsc_login_powered_by > img{
    height: 4rem;
}
main{
    display: flex;
    justify-content: space-between;
    padding: 10px;
    gap: 10px;
}
main > div{
    min-height: calc(100vh - 20px);
    border: 1px solid #343434;
}

.rsc_login_wrapper{
    width: 100%;
    padding: 3rem;
    position: relative;
    z-index: 3;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background-color: #181818;
    border-radius: 12px;
}

.rsc_login_wrapper::before {
    content: "";
    left: 0;
    position: absolute;
    top: 0;
    height: 100%;
    width: 100%;
    z-index: 3;
    background-color: #FFFFFF10;
}

.rsc_login_wrapper::after {
    background-image: url(data:image/svg;base64,iVBORw0KGgoAAAANSUhEUgAAAAMAAAADCAYAAABWKLW/AAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAABxJREFUeNpi+P//PwMIA8FNJgYkwAgSgXEAAgwA8BoHsEna1aoAAAAASUVORK5CYII=);
    background-repeat: repeat;
    background-attachment: scroll;
    background-position: 0 0;
    background-color: rgba(0, 0, 0, 0);
    content: "";
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    overflow: hidden;
    filter: brightness(0);
}


.rsc_login_wrapper *:not(canvas) {
    z-index: 4;
}

#bg {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    -webkit-filter: blur(35px);
    filter: blur(35px);
    width: 150%;
    height: 150%;
    overflow: hidden;
    opacity: .8;
}
.rcs_login_form_container{
    position: relative;
    width: 50rem;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    background-color: #FFFFFF10;
    border-radius: 12px;
}
.rcs_login_form_container > h1{
    font-size: 2.5em;
    font-weight: 600;
    margin-top: 40%;
    text-align: center;
}

form{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 60%;
}

.rcs_login_form_input_group{
    position: relative;
    display: flex;
    flex-direction: column;
    gap: .2rem;
}

label{
    text-transform: uppercase;
    font-size: .7em;
    letter-spacing: .05em;
    font-weight: 600;
    color: #FFFFFF70;
}

input{
    background: #FFFFFF20;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    border: 2px solid #FFFFFF20;
    border-radius: 12px;
    padding: .5rem;
    font-size: 1.2rem;
    color: white;
}
.rcs_username_prefix{
    position: absolute;
    left: .5rem;
    bottom: .5rem;
    font-size: 1.6em;
    z-index: 10;
    color: #FFFFFF20;
    pointer-events: none;
    user-select: none;
}

#username{
    padding-left: 2.2rem;
}

input:focus{
    outline: none;
    box-shadow: none;
    border-color: var(--custom-brand-color);
    moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

button{
    background-image: linear-gradient(to right, var(--custom-brand-color), var(--custom-brand-gradient-color-1), var(--custom-brand-color), var(--custom-brand-gradient-color-2));
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    border:none;
    border-radius: 15px;
    padding: .8rem;
    font-size: 1.2rem;
    color: white;
    margin-top: 1rem;
    width: 100%;
    font-weight: 600;
    cursor: pointer;
    text-align:center;
    background-size: 300% 100%;

    moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

button:hover {
    background-position: 100% 0;
    transform: scale(1.02);
    moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
    box-shadow: 0 4px 15px 0 #FFFFFF10;
}

button:disabled:hover {
    background-image: none;
    background-color: #FFFFFF60;
    cursor: not-allowed;
    transform: scale(0.96);
    box-shadow: 0 4px 15px 0 transparent;
    moz-transition: all .2s ease-in-out;
    -o-transition: all .2s ease-in-out;
    -webkit-transition: all .2s ease-in-out;
    transition: all .2s ease-in-out;
}

button:focus {
    outline: none;
}

@media only screen and (max-width: 985px){
    #logo{
        display: none;
    }
    main{
        flex-direction: column;
    }
    main > div{
        min-height: initial;
    }
    .rsc_login_wrapper,
    .rcs_login_form_container,
    form{
        width: initial;
    }
    .rsc_login_wrapper{
        margin-bottom: 0;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }
    .rcs_login_form_container{
        min-height: calc(100vh - 11.2rem);
        margin-top: 0;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }
    .rcs_login_logos_container{
        flex-direction: row;
    }
    .rsc_login_logo > img{
        height: 3rem;
    }
    .rsc_login_powered_by > img{
        height: 3rem;
    }
    .rcs_login_form_container > h1{
        margin-top: 5rem;
    }
}

@media only screen and (max-width: 725px){
    .rsc_login_wrapper{
        padding: 2rem;
    }
    .rsc_login_logo > img{
        height: 3rem;
    }
    .rsc_login_powered_by > img{
        height: 3rem;
    }
    .rcs_login_form_container{
        min-height: calc(100vh - 9.2rem);
    }
}

@media only screen and (max-width: 660px){
    .rsc_login_wrapper{
        padding: 1rem;
    }
    .rsc_login_logo > img{
        height: 2rem;
    }
    .rsc_login_powered_by > img{
        height: 2rem;
    }
    .rcs_login_form_container{
        min-height: calc(100vh - 6.2rem);
    }
}